> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/ruby/vm-autoscaling/models/groupputproperties.md).

# GroupPutProperties

## Properties

| Name                       | Type                                                                                                  | Description                                                                                                                                                                                                                                                                                                                              | Notes       |
| -------------------------- | ----------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **datacenter**             | [**GroupPutPropertiesDatacenter**](/cloud/ruby/vm-autoscaling/models/groupputpropertiesdatacenter.md) |                                                                                                                                                                                                                                                                                                                                          | \[optional] |
| **location**               | **String**                                                                                            | The data center location.                                                                                                                                                                                                                                                                                                                | \[readonly] |
| **max\_replica\_count**    | **Integer**                                                                                           | The maximum value for the number of replicas for 'targetReplicaCount'. Must be >= 0 and <= 200. Will be enforced for both automatic and manual changes.                                                                                                                                                                                  |             |
| **min\_replica\_count**    | **Integer**                                                                                           | The minimum value for the number of replicas for 'targetReplicaCount'. Must be >= 0 and <= 200. Will be enforced for both automatic and manual changes                                                                                                                                                                                   |             |
| **target\_replica\_count** | **Integer**                                                                                           | The target number of VMs in this group. Depending on the scaling policy, this number is automatically adjusted. VMs are automatically created or destroyed to adjust the actual number of VMs to this target number. If 'targetReplicaCount' is specified in the request body, it must be '>= minReplicaCount' and '<= maxReplicaCount'. | \[optional] |
| **name**                   | **String**                                                                                            | The name of the Auto Scaling group. This field must not be null or blank.                                                                                                                                                                                                                                                                |             |
| **policy**                 | [**GroupPolicy**](/cloud/ruby/vm-autoscaling/models/grouppolicy.md)                                   |                                                                                                                                                                                                                                                                                                                                          |             |
| **replica\_configuration** | [**ReplicaPropertiesPost**](/cloud/ruby/vm-autoscaling/models/replicapropertiespost.md)               |                                                                                                                                                                                                                                                                                                                                          |             |

## Example

```ruby
require 'ionoscloud-vm-autoscaling'

instance = IonoscloudVmAutoscaling::GroupPutProperties.new(
  datacenter: null,
  location: de/txl,
  max_replica_count: 10,
  min_replica_count: 1,
  target_replica_count: 1,
  name: Autoscaling Group #1,
  policy: null,
  replica_configuration: null
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/ruby/vm-autoscaling/models/groupputproperties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
